'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _three = require('three');

var THREE = _interopRequireWildcard(_three);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

exports.default = {
  init: function init(props) {
    var radiusTop = props.radiusTop,
        radiusBottom = props.radiusBottom,
        height = props.height,
        radialSegments = props.radialSegments,
        heightSegments = props.heightSegments,
        openEnded = props.openEnded,
        thetaStart = props.thetaStart,
        thetaLength = props.thetaLength;

    var CylinderGeometry = new THREE.CylinderGeometry(radiusTop, radiusBottom, height, radialSegments, heightSegments, openEnded, thetaStart, thetaLength);
    CylinderGeometry.updateProperty = this.updateProperty;
    return CylinderGeometry;
  },
  updateProperty: function updateProperty(key, value) {
    if (Object.hasOwnProperty.call(this, key)) {
      if (this[key] && this[key].set) {
        return this[key].set.apply(this[key], Object.values(value));
      }
      this[key] = value;
      return;
    }
  }
};
module.exports = exports['default'];