'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _three = require('three');

var THREE = _interopRequireWildcard(_three);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

exports.default = {
  init: function init(props) {
    var radius = props.radius,
        widthSegments = props.widthSegments,
        heightSegments = props.heightSegments,
        phiStart = props.phiStart,
        phiLength = props.phiLength,
        thetaStart = props.thetaStart,
        thetaLength = props.thetaLength;

    var SphereGeometry = new THREE.SphereGeometry(radius, widthSegments, heightSegments, phiStart, phiLength, thetaStart, thetaLength);
    SphereGeometry.updateProperty = this.updateProperty;
    return SphereGeometry;
  },
  updateProperty: function updateProperty(key, value) {
    if (Object.hasOwnProperty.call(this, key)) {
      if (this[key] && this[key].set) {
        return this[key].set.apply(this[key], Object.values(value));
      }
      this[key] = value;
      return;
    }
  }
};
module.exports = exports['default'];