'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _PerspectiveCamera = require('./cameras/PerspectiveCamera');

var _PerspectiveCamera2 = _interopRequireDefault(_PerspectiveCamera);

var _OrbitControls = require('./controls/OrbitControls');

var _OrbitControls2 = _interopRequireDefault(_OrbitControls);

var _TrackballControls = require('./controls/TrackballControls');

var _TrackballControls2 = _interopRequireDefault(_TrackballControls);

var _BufferGeometry = require('./core/BufferGeometry');

var _BufferGeometry2 = _interopRequireDefault(_BufferGeometry);

var _Geometry = require('./core/Geometry');

var _Geometry2 = _interopRequireDefault(_Geometry);

var _Object3D = require('./core/Object3D');

var _Object3D2 = _interopRequireDefault(_Object3D);

var _Raycaster = require('./core/Raycaster');

var _Raycaster2 = _interopRequireDefault(_Raycaster);

var _BoxGeometry = require('./geometries/BoxGeometry');

var _BoxGeometry2 = _interopRequireDefault(_BoxGeometry);

var _CylinderGeometry = require('./geometries/CylinderGeometry');

var _CylinderGeometry2 = _interopRequireDefault(_CylinderGeometry);

var _SphereGeometry = require('./geometries/SphereGeometry');

var _SphereGeometry2 = _interopRequireDefault(_SphereGeometry);

var _AmbientLight = require('./lights/AmbientLight');

var _AmbientLight2 = _interopRequireDefault(_AmbientLight);

var _DirectionalLight = require('./lights/DirectionalLight');

var _DirectionalLight2 = _interopRequireDefault(_DirectionalLight);

var _LineBasicMaterial = require('./materials/LineBasicMaterial');

var _LineBasicMaterial2 = _interopRequireDefault(_LineBasicMaterial);

var _LineDashedMaterial = require('./materials/LineDashedMaterial');

var _LineDashedMaterial2 = _interopRequireDefault(_LineDashedMaterial);

var _MeshBasicMaterial = require('./materials/MeshBasicMaterial');

var _MeshBasicMaterial2 = _interopRequireDefault(_MeshBasicMaterial);

var _MeshLambertMaterial = require('./materials/MeshLambertMaterial');

var _MeshLambertMaterial2 = _interopRequireDefault(_MeshLambertMaterial);

var _MeshPhongMaterial = require('./materials/MeshPhongMaterial');

var _MeshPhongMaterial2 = _interopRequireDefault(_MeshPhongMaterial);

var _PointsMaterial = require('./materials/PointsMaterial');

var _PointsMaterial2 = _interopRequireDefault(_PointsMaterial);

var _Line = require('./objects/Line');

var _Line2 = _interopRequireDefault(_Line);

var _Mesh = require('./objects/Mesh');

var _Mesh2 = _interopRequireDefault(_Mesh);

var _Points = require('./objects/Points');

var _Points2 = _interopRequireDefault(_Points);

var _Scene = require('./scenes/Scene');

var _Scene2 = _interopRequireDefault(_Scene);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  'perspective-camera': _PerspectiveCamera2.default,
  'orbit-controls': _OrbitControls2.default,
  'trackball-controls': _TrackballControls2.default,
  'buffer-geometry': _BufferGeometry2.default,
  'geometry': _Geometry2.default,
  'object-3d': _Object3D2.default,
  'raycaster': _Raycaster2.default,
  'box-geometry': _BoxGeometry2.default,
  'cylinder-geometry': _CylinderGeometry2.default,
  'sphere-geometry': _SphereGeometry2.default,
  'ambient-light': _AmbientLight2.default,
  'directional-light': _DirectionalLight2.default,
  'line-basic-material': _LineBasicMaterial2.default,
  'line-dashed-material': _LineDashedMaterial2.default,
  'mesh-basic-material': _MeshBasicMaterial2.default,
  'mesh-lambert-material': _MeshLambertMaterial2.default,
  'mesh-phong-material': _MeshPhongMaterial2.default,
  'points-material': _PointsMaterial2.default,
  'line': _Line2.default,
  'mesh': _Mesh2.default,
  'points': _Points2.default,
  'scene': _Scene2.default
};
module.exports = exports['default'];