'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _three = require('three');

var THREE = _interopRequireWildcard(_three);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

exports.default = {
  init: function init(props) {
    var _props$background = props.background,
        background = _props$background === undefined ? null : _props$background,
        _props$fog = props.fog,
        fog = _props$fog === undefined ? null : _props$fog,
        _props$overrideMateri = props.overrideMaterial,
        overrideMaterial = _props$overrideMateri === undefined ? null : _props$overrideMateri,
        _props$autoUpdate = props.autoUpdate,
        autoUpdate = _props$autoUpdate === undefined ? true : _props$autoUpdate,
        _props$onFrame = props.onFrame,
        onFrame = _props$onFrame === undefined ? function () {} : _props$onFrame;


    var Scene = new THREE.Scene();
    if (fog !== null) {
      if (Object.hasOwnProperty.call(fog, 'density')) {
        Scene.fog = new THREE.FogExp2(fog.color, fog.density);
      } else {
        Scene.fog = new THREE.Fog(fog.color, fog.near, fog.far);
      }
    }
    Scene.background = background;
    Scene.overrideMaterial = overrideMaterial;
    Scene.autoUpdate = autoUpdate;
    Scene.onFrame = onFrame;
    Scene.updateProperty = this.updateProperty;
    return Scene;
  },
  updateProperty: function updateProperty(key, value) {
    if (key === 'fog') {
      if (Object.hasOwnProperty.call(value, 'density')) {
        this.fog = new THREE.FogExp2(value.color, value.density);
      } else {
        this.fog = new THREE.Fog(value.color, value.near, value.far);
      }
      return;
    }
    if (Object.hasOwnProperty.call(this, key)) {
      if (this[key] && this[key].set) {
        return this[key].set.apply(this[key], Object.values(value));
      }
      this[key] = value;
      return;
    }
  }
};
module.exports = exports['default'];